// ##########################################################################
// ####                                                                  ####
// ####                         Prfungsamt-Client                       ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Datenbank-Exception                                              ####
// ####                                                                  ####
// #### Version 1.00  --  12. Juli 2000                                  ####
// ####                                                                  ####
// #### Copyright (C) 2000  Thomas Dreibholz                             ####
// ####                     Universitt Bonn                             ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                                                                  ####
// ##########################################################################


#include "system.h"
#include "sqlexception.h"


// ###### Constructor #######################################################
SQLException::SQLException(const char* title)
{
   if(Title != NULL) {
      strncpy((char*)&Title,title,MaxTitleLength);
      Title[MaxTitleLength - 1] = 0x00;
   }
   else {
      strcpy((char*)&Title,"Undefinierte Exception");
   }
}

// ###### Destructor ########################################################
SQLException::~SQLException()
{
}


// ###### Titel zurckgeben #################################################
const char* SQLException::toString() const
{
   return((const char*)&Title);
}


// ###### Ausgabe-Operator ##################################################
ostream& operator<<(ostream& os, const SQLException e)
{
   os << e.toString();
   return(os);
}
