// ##########################################################################
// ####                                                                  ####
// ####                         Prfungsamt-Client                       ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Datenbank-Monitor-Interface                                      ####
// ####                                                                  ####
// #### Version 1.00  --  12. Juli 2000                                  ####
// ####                                                                  ####
// #### Copyright (C) 2000  Thomas Dreibholz                             ####
// ####                     Universitt Bonn                             ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                                                                  ####
// ##########################################################################


#ifndef SQL_MONITOR_INTERFACE_H
#define SQL_MONITOR_INTERFACE_H


#include "system.h"


/**
  * SQLMonitorInterface ist ein Interface fr den SQL-Monitor.
  *
  * @short   SQL Monitor Interface
  * @author  Thomas Dreibholz (Dreibholz@bigfoot.com)
  * @version 1.0
  */
class SQLMonitorInterface
{
   public:
   /**
     * Ausgabe eines SQL-Befehls.
     *
     * @param string Befehls-String.
     */
   virtual void write(const char* string = "") = 0;
};


#endif
