DROP TABLE Test1;
CREATE TABLE Test1 (
   a INTEGER,
   b INTEGER,
   c CHAR(8),
   PRIMARY KEY (a,b,c)
);


DROP FUNCTION yyy(INTEGER);
CREATE FUNCTION yyy(INTEGER) RETURNS BOOLEAN AS '
   DECLARE
      y RECORD;
   BEGIN
      IF $1 = 3 THEN
         RAISE EXCEPTION ''Verbotener Wert: "%"'', $1;
      END IF;
      RETURN TRUE;
   END;
' LANGUAGE 'plpgsql';



DROP FUNCTION trigger1();
CREATE FUNCTION trigger1() RETURNS OPAQUE AS '
   DECLARE
      y RECORD;
      x BOOLEAN;
   BEGIN
      RAISE NOTICE ''TEST-TRIGGER: "%" --'', NEW.a;

      FOR y IN SELECT * FROM Test1 LOOP
         RAISE NOTICE ''TEST-TRIGGER: "%" --'', y.c;
         IF yyy(y.a) THEN
         END IF;
      END LOOP;

      RETURN NEW;
   END;
' LANGUAGE 'plpgsql';


-- DROP TRIGGER trigger1 ON Test1;
CREATE TRIGGER trigger1 AFTER INSERT OR UPDATE ON Test1
   FOR EACH ROW EXECUTE PROCEDURE trigger1();


INSERT INTO Test1 VALUES
(1,2,'Test #1');
INSERT INTO Test1 VALUES
(2,3,'Test #2');

BEGIN;
INSERT INTO Test1 VALUES
(3,4,'Test #3');
COMMIT;

SELECT * FROM Test1;
