#!/bin/sh
# ##########################################################################
# ####                                                                  ####
# ####                         Prfungsamt-Client                       ####
# ####                    ============================                  ####
# ####                                                                  ####
# #### Erstellen der Dokumentation                                      ####
# ####                                                                  ####
# #### Version 1.00                                                     ####
# ####                                                                  ####
# #### Copyright (C) 2000  Thomas Dreibholz                             ####
# ####                     Universitt Bonn, Abt. IV                    ####
# ####                     EMail: Dreibholz@bigfoot.com                 ####
# ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
# ####                                                                  ####
# ##########################################################################


echo ""
echo "Entferne alte Dokumentation..."
echo ""

if [ -e Documentation ]
then
   rm -Rf Documentation
fi   


echo ""
echo "Erstelle Dokumentation..."
echo ""

kdoc -f html -d Dokumentation -n "Prfungsamt-Projekt" *.h


echo ""
echo "Anpassen des Layouts..."
echo ""

find -name "*.html" | xargs -n 1 UpdateDocFile.sh

echo ""
echo "Ich habe fertig!"
echo ""
